Skip to main content
GET
/
api
/
v1
/
codewiki
/
{indexName}
/
search
Search wiki
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/codewiki/{indexName}/search \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "freshness": {
    "index_age_seconds": 123,
    "is_stale": true,
    "indexed_at": "2023-11-07T05:31:56Z",
    "indexed_branch": "<string>",
    "indexed_commit_sha": "<string>"
  },
  "query": "<string>",
  "results": [
    {}
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

indexName
string
required

Query Parameters

q
string
required

Search query

limit
integer
default:20

Maximum results to return

Response

Search results

success
boolean
required
freshness
object
query
string
results
object[]
total
integer